Works fine with English & French Rated 5 out of 5 stars

Recognized the language (EN and FR here) and switches to correct dictionary accordingly, and very quickly.
Nothing to do with the functionality, but it is stated 'Updated May 13, 2011' when the version number 0.2.2 is that of December 3, 2010 ? If it is the fact of being presented as working with Firefox 4.0b7 - 4.0.* (the only reason I see) then please update the install.rdf as well, as its limits stated are 4.0b7 - 4.0b8pre. This is something I sometimes encounter and it is a pain, especially for those who know not how to handle version limits, should it be by editing the install.rdf file : if it is here written compatible 4.0.* then the install.rdf has to state 4.0.* as well, no ?

This review is for a previous version of the add-on ( 

Glad you like the addon. Thanks for the remark, I hadn't realized that one has to modify the bundled install.rdf as well. The latest version (0.3.0) should have that fixed.